import {Ajax} from './request';
/*
* 护理计划新增接口
* */

// 护理列表
export const getCarePlanList = (data) => {
  return Ajax({
    url: '/app/carePlan/list.do',
    method: 'get',
    data,
  })
}
// 护理详情
export const getCarePlanDetail = (data) => {
  return Ajax({
    url: '/app/carePlan/detail.do',
    method: 'get',
    data,
  })
}
// 我的参与列表
export const getCarePlanJoinList = (data) => {
  return Ajax({
    url: '/app/carePlan/joinList.do',
    method: 'get',
    data,
  })
}

// 确定参与
export const carePlanJoin = (data) => {
  return Ajax({
    url: '/app/carePlan/join.do',
    method: 'POST',
    data,
  })
}

// 首页-我的护理-详细信息
export const getMyCarePlan = (data) => {
  return Ajax({
    url: '/app/carePlan/my.do',
    method: 'get',
    data,
  })
}

// 护理计划添加订阅
export const addMessageSubscription = (data) => {
  return Ajax({
    url: '/app/carePlan/addMessageSubscription.do',
    method: 'POST',
    // String id = request.getParameter("id"); // 活动id
    // String tipTime = request.getParameter("tipTime"); // 提醒时间
    data,
  })
}
// 一键打卡获取数据
export const carePlanClockList = (data) => {
  return Ajax({
    url: '/app/carePlan/clockList.do',
    method: 'GET',
    data,
  })
}
